#include "polygon.h"
#include <iostream>

using namespace std;

int main()
{
   int n;
   cout << "Number of points to be given? n = ";
   cin >> n;
   cout << "\n";
   if(0 >= n) return -1;  // catch invalid input

   double xc[n];
   double yc[n];
   for(int i = 0; i < n; i++)
   {
      cout << "Specify x coordinate: xc[" << i << "] = ";
      cin >> xc[i];
      cout << "Specify y coordinate: yc[" << i << "] = ";
      cin >> yc[i];
      cout << "\n";
   }

   if(is_valid_polygon(n, xc, yc))
   {
      cout << "The given coordinates correspond to a valid polygon.\n";
   }
   else
   {
      cout << "The specified coordinates, in the given order, do not describe a polygon in a valid way.\n"
           << "Please reconsider the given data and, if appropriate, correct them.\n";
      return 1;
   }

   cout << "Circumference: " << circumference(n, xc, yc) << "\n";
   cout << "         Area: " << area(n, xc, yc) << " [not implemented yet, hence zero given]\n";
   return 0;
}
